extends Object


enum Variant {
	STANDARD,
	BLUE,
	WHITE_BLUE,
	BIG_BLUE,
	BIG_GREEN,
	BIG_RED,
	GRAY,
	SMALL_WHITE_BLUE,
	SMALL_WHITE_BLUE_1,
	SMALL_WHITE_BLUE_2,
	SMALL_WHITE_LIGHT_BLUE,
	WHITE_YELLOW,
}

var standard := {
	"impulse_value": 1000.0,
	"hp": 1.0,
	"damage": 1.0,
	"mass": 1.0,
	"animation": "standard",
}
var blue := {
	"impulse_value": 1200.0,
	"hp": 1.0,
	"damage": 1.5,
	"mass": 1.5,
	"animation": "blue",
}
var white_blue := {
	"impulse_value": 1300.0,
	"hp": 1.0,
	"damage": 2.0,
	"mass": 1.5,
	"animation": "white_blue",
}
var big_blue := {
	"impulse_value": 800.0,
	"hp": 3.0,
	"damage": 2.5,
	"mass": 2.0,
	"animation": "big_blue",
}
var big_green := {
	"impulse_value": 700.0,
	"hp": 3.5,
	"damage": 3.0,
	"mass": 2.0,
	"animation": "big_green",
}
var big_red := {
	"impulse_value": 600.0,
	"hp": 4.0,
	"damage": 4.0,
	"mass": 2.0,
	"animation": "big_red",
}
var gray := {
	"impulse_value": 2000.0,
	"hp": 1.0,
	"damage": 1.0,
	"mass": 1.0,
	"animation": "gray",
}
var small_white_blue := {
	"impulse_value": 1400.0,
	"hp": 1.0,
	"damage": 2.0,
	"mass": 1.0,
	"animation": "small_white_blue",
}
var small_white_blue_1 := {
	"impulse_value": 1600.0,
	"hp": 1.0,
	"damage": 2.5,
	"mass": 1.0,
	"animation": "small_white_blue_1",
}
var small_white_blue_2 := {
	"impulse_value": 1900.0,
	"hp": 1.0,
	"damage": 3.0,
	"mass": 1.0,
	"animation": "small_white_blue_2",
}
var small_white_light_blue := {
	"impulse_value": 1700.0,
	"hp": 2.0,
	"damage": 2.0,
	"mass": 1.0,
	"animation": "small_white_light_blue",
}
var white_yellow := {
	"impulse_value": 1500.0,
	"hp": 2.0,
	"damage": 2.0,
	"mass": 1.5,
	"animation": "white_yellow",
}


func get_vars(variant) -> Dictionary:
	match variant:
		Variant.STANDARD:
			return standard
		Variant.BLUE:
			return blue
		Variant.WHITE_BLUE:
			return white_blue
		Variant.BIG_BLUE:
			return big_blue
		Variant.BIG_GREEN:
			return big_green
		Variant.BIG_RED:
			return big_red
		Variant.GRAY:
			return gray
		Variant.SMALL_WHITE_BLUE:
			return small_white_blue
		Variant.SMALL_WHITE_BLUE_1:
			return small_white_blue_1
		Variant.SMALL_WHITE_BLUE_2:
			return small_white_blue_2
		Variant.SMALL_WHITE_LIGHT_BLUE:
			return small_white_light_blue
		Variant.WHITE_YELLOW:
			return white_yellow
		_:
			return standard
