extends Object


signal hp_change

var maximum: float setget set_max, get_max
var current: float setget set_hp, get_hp


func set_max(value: float) -> void:
	var old_current: float = current
	maximum = value
	if current > maximum:
		current = maximum
		emit_signal("hp_change", current, old_current)


func get_max() -> float:
	return maximum


func set_hp(value: float) -> void:
	var old_current: float = current
	if value > maximum:
		value = maximum
	if value > 0:
		current = value
	else:
		current = 0
	emit_signal("hp_change", current, old_current)


func get_hp() -> float:
	return current


func calc_part(parts: int) -> float:
	return current / (maximum / parts)
