class_name Warning
extends AudioStreamPlayer2D


var _is_ready := false

onready var _timer: Timer = $Timer


func _ready() -> void:
	_is_ready = true


func _exit_tree() -> void:
	_timer.paused = true


func _enter_tree() -> void:
	if not _is_ready:
		return
	_timer.paused = false


func start_play(timeout: float) -> void:
	play()
	_timer.start(timeout)


func _on_Timer_timeout() -> void:
	stop()
