class_name GameCounter
extends Object


enum CountType {
	SHOTS,
	SHOTS_METEORS,
	DEADS,
	METEORS_SPAWNED,
	METEORS_PASSED,
	GIFTS_SPAWNED,
	GIFTS_ACTIVATED,
	ACTIONS,
	LEVEL_RESTARTS,
	GAME_RESTARTS,
	HEARTS,
}

var _counter := {}


func increase(count_type, value: int) -> void:
	if _counter.has(count_type):
		_counter[count_type] += value
	else:
		_counter[count_type] = value


func get_value(count_type) -> int:
	if _counter.has(count_type):
		return _counter[count_type]
	else:
		return 0
