extends Control


onready var _shots: Label = $ScrollContainer/CenterContainer/GridContainer/Shots
onready var _shots_meteors: Label = $ScrollContainer/CenterContainer/GridContainer/ShotsMeteors
onready var _deads: Label = $ScrollContainer/CenterContainer/GridContainer/Deads
onready var _meteors_spawned: Label = $ScrollContainer/CenterContainer/GridContainer/MeteorsSpawned
onready var _meteors_passed: Label = $ScrollContainer/CenterContainer/GridContainer/MeteorsPassed
onready var _gifts_spawned: Label = $ScrollContainer/CenterContainer/GridContainer/GiftsSpawned
onready var _gifts_activated: Label = $ScrollContainer/CenterContainer/GridContainer/GiftsActivated
onready var _actions: Label = $ScrollContainer/CenterContainer/GridContainer/Actions
onready var _level_restarts: Label = $ScrollContainer/CenterContainer/GridContainer/LevelRestarts
onready var _game_restarts: Label = $ScrollContainer/CenterContainer/GridContainer/GameRestarts
onready var _hearts: Label = $ScrollContainer/CenterContainer/GridContainer/Hearts


func _ready() -> void:
	_shots.text = str(Global.counter.get_value(GameCounter.CountType.SHOTS))
	_shots_meteors.text = str(Global.counter.get_value(GameCounter.CountType.SHOTS_METEORS))
	_deads.text = str(Global.counter.get_value(GameCounter.CountType.DEADS))
	_meteors_spawned.text = str(Global.counter.get_value(GameCounter.CountType.METEORS_SPAWNED))
	_meteors_passed.text = str(Global.counter.get_value(GameCounter.CountType.METEORS_PASSED))
	_gifts_spawned.text = str(Global.counter.get_value(GameCounter.CountType.GIFTS_SPAWNED))
	_gifts_activated.text = str(Global.counter.get_value(GameCounter.CountType.GIFTS_ACTIVATED))
	_actions.text = str(Global.counter.get_value(GameCounter.CountType.ACTIONS))
	_level_restarts.text = str(Global.counter.get_value(GameCounter.CountType.LEVEL_RESTARTS))
	_game_restarts.text = str(Global.counter.get_value(GameCounter.CountType.GAME_RESTARTS))
	_hearts.text = str(Global.counter.get_value(GameCounter.CountType.HEARTS))
	Global.play_bg_music()


func _on_BackButton_pressed() -> void:
	Global.goto_scene("res://menu/main_menu.tscn")
