class_name Heart
extends RigidBody2D


const SPRITE_SIZE := Vector2(43, 40)

onready var _particles: CPUParticles2D = $CPUParticles2D
onready var _shape: CollisionPolygon2D = $CollisionPolygon2D


func _on_Heart_body_entered(body: Node) -> void:
	if not body.is_in_group("bullet"):
		return
	body.bang()
	Global.counter.increase(GameCounter.CountType.HEARTS, 1)
	_shape.set_deferred("disabled", true)
	modulate = "#6fffffff"
	if Global.store.get_property(Global.Store.Property.PARTICLES):
		_particles.emitting = true
