extends Control


onready var _url_button: Button = $ScrollContainer/VBoxContainer/HBoxContainer2/URLButton
onready var _authors_list: Label = $ScrollContainer/VBoxContainer/HBoxContainer3/AuthorsListLabel
onready var _version_label: Label = $ScrollContainer/VBoxContainer/VersionLabel


func _ready() -> void:
	_url_button.text = RestAPI.DOMAIN
	_authors_list.text = Global.AUTHORS
	_version_label.text = "v" + str(Global.VERSION)


func _on_URLButton_pressed() -> void:
	OS.shell_open(RestAPI.SITE_URL)


func _on_BackButton_pressed() -> void:
	Global.goto_scene("res://menu/main_menu.tscn")
